Kwalitee Issues

meta_yml_is_parsable

Upgrade your YAML generator so it produces valid YAML.

Error: multiple parts found in META.yml

no_broken_module_install

Upgrade the bundled version of Module::Install to the most current release. Alternatively, you can switch to another build system / installer that does not suffer from this problem. (ExtUtils::MakeMaker, Module::Build both of which have their own set of problems.)

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Digest::MD5
  • Scalar::Util
  • v6

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Pugs::Grammar::Base, Pugs::Grammar::Rule, Pugs::Grammar::RulePure, Pugs::Runtime::Rule

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.28,0.37

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Pugs::Emitter::Rule::Perl5::CharClass, Pugs::Grammar::Base, Pugs::Grammar::Rule, Pugs::Grammar::RulePure, Pugs::Runtime::Rule

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
Pugs::AST::Expression metacpan
Pugs::Compiler::Grammar Compiler for Perl 6 Grammars 0.28 metacpan
Pugs::Compiler::Regex Compiler for Perl 6 Regex 0.28 metacpan
Pugs::Compiler::RegexPerl5 Compiler for Perl 6 style "Perl5" regex metacpan
Pugs::Compiler::Rule Compiler for Perl 6 regexes 0.37 metacpan
Pugs::Compiler::Token Compiler for Perl 6 Token 0.28 metacpan
Pugs::Emitter::Grammar::Perl5 Perl 5 emitter for grammar ASTs 0.28 metacpan
Pugs::Emitter::Rule::Parsec metacpan
Pugs::Emitter::Rule::Perl5 metacpan
Pugs::Emitter::Rule::Perl5::CharClass metacpan
Pugs::Emitter::Rule::Perl5::Ratchet metacpan
Pugs::Emitter::Rule::Perl5::Regex metacpan
Pugs::Emitter::Rule::Perl6::Ratchet metacpan
Pugs::Grammar::Base metacpan
Pugs::Grammar::Precedence Engine for Perl 6 Rule operator precedence metacpan
Pugs::Runtime::Common metacpan
Pugs::Runtime::Match Match object created by rules metacpan
Pugs::Runtime::Match::HsBridge metacpan
Pugs::Runtime::Regex metacpan
Pugs::Runtime::Rule metacpan
Pugs::Runtime::StrPos Represent a position inside a string metacpan
Pugs::Runtime::Tracer tracer runtime for Pugs::Compiler::Rule metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan